/******************************************************************************
 *                                                                            *
 * File:   CPUsp.c            Version  1.10            Date: 1996-07-30       *
 *                                                                            *
 * Copyright (C) 1993-1996 by kostis@acm.org (Kosta Kostis)                   *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * Function:                                                                  *
 *        - figure out CPU type and approximate speed in MHz                  *
 *                                                                            *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * Remarks:                                                                   *
 *        - won't be able to return correct DOS ERRORLEVEL for CPU > 255 MHz  *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     1996-07-30: KK V1.10                                                   *
 *        - simplified things                                                 *
 *     1993-09-05: KK V1.00                                                   *
 *        - initial coding                                                    *
 *                                                                            *
 *****************************************************************************/

#include <stdio.h>

#include "cpuid.h"

int	main (void)
{
	int		MHz ;
	int		CPU ;

	CPU = CPUid () ;
	MHz = CPUspeed () ;

	printf ("Copyright (C) 1993-1996 by kostis@acm.org (Kosta Kostis)\n") ;
	printf ("CPU type is %d (%s), speed is ca. %d MHz",
		CPU, CPUname (CPU), MHz) ;

	return (MHz) ;
}
